Debian Bug report logs - #336986
a few problems with libdialog and enhancements

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Michael Gebetsroither <michael.geb@gmx.at>

Date: Wed, 2 Nov 2005 02:18:03 UTC

Severity: normal

Tags: patch

Found in version dialog/1.0-20051005-1

Fixed in version dialog/1.0-20051107-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#336986; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Michael Gebetsroither <michael.geb@gmx.at>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gebetsroither <michael.geb@gmx.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: a few problems with libdialog and enhancements
Date: Wed, 2 Nov 2005 03:08:54 +0100
Package: dialog
Version: 1.0-20051005-1
Severity: important
Tags: patch

Hi,

I've problems using libdialog.a with dynamic buffers.
eg. setting dialog_vars.input_result = NULL as requestet...

1. problem with dynamic buffers:
util.c:1528: void dlg_add_result(char *string)
  unsigned have = strlen(dialog_vars.input_result);
but input_result=NULL, so there is a nice segfault (addresse 0x0).

2. problem:
imho there is also a problem with fixed buffers under special
circumstances
util.c:1542 void dlg_add_result(char *string)
  dialog_vars.input_result =
  realloc(dialog_vars.input_result, dialog_vars.input_length);
but input_result is a static buffer on the stack, no one should
realloc such a thing ;).
there is also a mem-leak in this line if the realloc fails.
Because if realloc fails input_result will be overwritten with NULL
from realloc.
  
3. i've written a small patch to enhance usability of libdialog.
i've introduced a functionpointer void(*)(char*) in dialog_vars.
dlg_add_result it if it is not null and returns.

This small patch greatly enhances the usability of libdialog if the
program has to deal with the userinput.

Thx,
Michael Gebetsroither

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=en_US.iso885915, LC_CTYPE=en_US.iso885915 (charmap=ISO-8859-15)

Versions of packages dialog depends on:
ii  debianutils                   2.15       Miscellaneous utilities specific t
ii  libc6                         2.3.5-7    GNU C Library: Shared libraries an
ii  libncursesw5                  5.5-1      Shared libraries for terminal hand

dialog recommends no packages.

-- debconf-show failed
-- 
/*The only secure computer is one that's unplugged, locked in a
safe, and buried 20 feet under the ground in a secret location...
and i'm not even too sure about that one.*/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#336986; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Michael Gebetsroither <michael.geb@gmx.at>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 336986@bugs.debian.org (full text, mbox):

From: Michael Gebetsroither <michael.geb@gmx.at>
To: 336986@bugs.debian.org
Subject: Bug#336986: Sorry forgot the patch
Date: Wed, 2 Nov 2005 03:35:18 +0100
[Message part 1 (text/plain, inline)]
From: Michael Gebetsroither <gebi@sbox.tugraz.at>
Date: Wed, 2 Nov 2005 03:24:46 +0100
Subject: Bug#336986: Sorry forgot the patch :(
To: 336986@bugs.debian.org
Content-Type: multipart/mixed; boundary="mR8QP4gmHujQHb1c"
User-Agent: mutt-ng devel-r316 (Debian)

Hi,

sorry, i've forgotten to attach the patch[0].

[0]: http://einsteinmg.dyndns.org/projects/libdialog_output_function.patch

thx&&cu
Michael Gebetsroither
-- 
/*The only secure computer is one that's unplugged, locked in a
safe, and buried 20 feet under the ground in a secret location...
and i'm not even too sure about that one.*/
[libdialog_output_function.patch (text/plain, attachment)]

Severity set to `normal'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Gebetsroither <michael.geb@gmx.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 336986-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 336986-close@bugs.debian.org
Subject: Bug#336986: fixed in dialog 1.0-20051107-1
Date: Tue, 08 Nov 2005 10:32:07 -0800
Source: dialog
Source-Version: 1.0-20051107-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20051107-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20051107-1.diff.gz
dialog_1.0-20051107-1.dsc
  to pool/main/d/dialog/dialog_1.0-20051107-1.dsc
dialog_1.0-20051107-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20051107-1_powerpc.deb
dialog_1.0-20051107.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20051107.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336986@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  8 Nov 2005 19:08:34 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20051107-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 294853 336986
Changes: 
 dialog (1.0-20051107-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixes a problem with dlg_add_result in libdialog (Closes: #336986).
   * The previous release improved performance with large menus, by using
     tsearch() instead of a linked-list search (Closes: #294853).
Files: 
 d717182bc8a5ff1f3bd68bfc530653db 593 misc optional dialog_1.0-20051107-1.dsc
 0c133cb4bd01cdb34984095b90a29b18 310704 misc optional dialog_1.0-20051107.orig.tar.gz
 9e42bcde9cc01380355fc210f5d16bf3 8123 misc optional dialog_1.0-20051107-1.diff.gz
 6f2fbf7a95c44e9899b8eddcd1340142 210084 misc optional dialog_1.0-20051107-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDcOpCd9Uuvj7yPNYRAhbcAJ9qOmtk0/cOcALgssYzEc8zHMizIQCgvMSA
nO+VAk0q2H0UPx7UZnnvjhY=
=GGbx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 22:31:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:13:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.